This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 825838

Summary: Intel GM965/GL960: Changing screen brightness doesn't work and cause high CPU load
Product: [Fedora] Fedora Reporter: Roman Laube <roman.laube>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: ajax, scottro11, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 13:43:50 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Roman Laube 2012-05-28 12:47:05 EDT
Description of problem:
Changing screen brightness on MS-1221 (PR200) notebook with GM965/GL960 Intel graphics doesn't work properly - brightness goes down a bit and immediately raise back again. After this CPU load goes up, keyboard response goes down, system becomes unusable.


Version-Release number of selected component (if applicable): 
Fedora 17 KDE Live, Fedora 17, Fedora 16 KDE Live, Fedora 15 KDE Live

How reproducible:


Steps to Reproduce:
1.Boot Fedora 17 Live on MS-1221
2.Change brightness (via keyboard or via PowerManagement widget)
  
Actual results:
Brightness goes down a bit and immediately raise back again. After this CPU load goes up (Xorg process), keyboard response goes down, system becomes unusable.

Expected results:
Screen brightness changes

Additional info:
In Fedora 14 everything works fine.
After adding "acpi_backlight=vendor" as boot parametr, screen brightness doesn't work but system is stable.
Comment 1 Scott Robbins 2012-06-16 12:46:30 EDT
For what it's worth, I found that adding acpi_osi=   
(yes, just a blank after the equals) enabled me to use function keys to dim and brighten a Clevo laptop.  (The laptop had not let me use the function keys, nor did any desktop environment on several distributions let me change the brightness.

I actually found that solution on a 4 year old Ubuntu forum thread.
Comment 2 Roman Laube 2012-06-19 00:13:49 EDT
(In reply to comment #1)
> For what it's worth, I found that adding acpi_osi=   
> (yes, just a blank after the equals) enabled me to use function keys to dim
> and brighten a Clevo laptop.  (The laptop had not let me use the function
> keys, nor did any desktop environment on several distributions let me change
> the brightness.
> 
> I actually found that solution on a 4 year old Ubuntu forum thread.


Hello,
I have tried your hint, but no success...
Comment 3 Fedora End Of Life 2013-07-03 15:21:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 13:43:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.